from flask import jsonify, request
from app.api import api_bp

@api_bp.route('/hello', methods=['GET'])
def hello_world():
    """Hello World API 端点"""
    return jsonify({
        'message': 'Hello, World!',
        'status': 'success'
    })

@api_bp.route('/hello/<name>', methods=['GET'])
def hello_name(name):
    """个性化问候 API 端点"""
    return jsonify({
        'message': f'Hello, {name}!',
        'status': 'success'
    })

@api_bp.route('/upload', methods=['PUT'])
def upload():
    # 获取 JSON 格式的请求体数据
    data = request.get_json()
    # 访问具体字段
    bucket = data.get('bucket')
    image2keys = data.get('image2keys')
    print(bucket)
    print(image2keys)
    return jsonify({
        'message': f'Hello!',
        'status': 'success'
    })
